memory.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <unistd.h>`
`#include <sys/stat.h>`
`#include "hd.h"`
`#include "hd_int.h"`
`#include "memory.h"`
`#include "klog.h"`

## Functions

uint64_t | kcore_mem (hd_data_t *hd_data)
uint64_t | klog_mem (hd_data_t *hd_data, uint64_t *alt)
uint64_t | klog_mem2 (hd_data_t *hd_data)
uint64_t | meminfo_mem (hd_data_t *hd_data)
uint64_t | meminfo_xen (hd_data_t *hd_data)
void | hd_scan_memory (hd_data_t *hd_data)